<?xml version="1.1" encoding="UTF-8"?>
<linked-hash-map>
  <entry>
    <string>2</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="org.jenkinsci.plugins.workflow.graph.FlowStartNode" plugin="workflow-api@1291.v51fd2a_625da_7">
        <parentIds/>
        <id>2</id>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <startTime>1715512058813</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>3</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>2</string>
        </parentIds>
        <id>3</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.ExecutorStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>label</string>
              <string>jenkins-agent</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <startTime>1715512059156</startTime>
        </wf.a.TimingAction>
        <org.jenkinsci.plugins.workflow.support.steps.ExecutorStepExecution_-QueueItemActionImpl plugin="workflow-durable-task-step@1336.v768003e07199">
          <id>47</id>
        </org.jenkinsci.plugins.workflow.support.steps.ExecutorStepExecution_-QueueItemActionImpl>
        <s.a.WorkspaceActionImpl>
          <node>jenkins-agent</node>
          <path>/home/jenkins-agent/workspace/curl-clone</path>
          <labels class="sorted-set">
            <hudson.model.labels.LabelAtom>agent</hudson.model.labels.LabelAtom>
            <hudson.model.labels.LabelAtom>alpine-agent</hudson.model.labels.LabelAtom>
            <hudson.model.labels.LabelAtom>docker-agent</hudson.model.labels.LabelAtom>
            <hudson.model.labels.LabelAtom>git-agent</hudson.model.labels.LabelAtom>
          </labels>
        </s.a.WorkspaceActionImpl>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>4</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>3</string>
        </parentIds>
        <id>4</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.ExecutorStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1291.v51fd2a_625da_7"/>
        <wf.a.TimingAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <startTime>1715512059182</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>5</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>4</string>
        </parentIds>
        <id>5</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <s.a.LogStorageAction/>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>name</string>
              <string>Declarative: Checkout SCM</string>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <startTime>1715512059204</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>6</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepStartNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>5</string>
        </parentIds>
        <id>6</id>
        <descriptorId>org.jenkinsci.plugins.workflow.support.steps.StageStep</descriptorId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1291.v51fd2a_625da_7"/>
        <wf.a.LabelAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <displayName>Declarative: Checkout SCM</displayName>
        </wf.a.LabelAction>
        <wf.a.TimingAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <startTime>1715512059208</startTime>
        </wf.a.TimingAction>
        <wf.a.TagsAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <tags>
            <entry>
              <string>SYNTHETIC_STAGE</string>
              <string>PRE</string>
            </entry>
          </tags>
        </wf.a.TagsAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>7</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepAtomNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>6</string>
        </parentIds>
        <id>7</id>
        <descriptorId>org.jenkinsci.plugins.workflow.steps.scm.GenericSCMStep</descriptorId>
      </node>
      <actions>
        <cps.a.ArgumentsActionImpl plugin="workflow-cps@3894.3896.vca_2c931e7935">
          <arguments>
            <entry>
              <string>scm</string>
              <org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable plugin="structs@337.v1b_04ea_4df7c8">
                <symbol>scmGit</symbol>
                <arguments class="tree-map">
                  <entry>
                    <string>branches</string>
                    <list>
                      <org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                        <arguments class="tree-map">
                          <entry>
                            <string>name</string>
                            <string>adding-submodel-curl</string>
                          </entry>
                        </arguments>
                        <model resolves-to="org.jenkinsci.plugins.structs.describable.DescribableModel$SerializedForm">
                          <type>hudson.plugins.git.BranchSpec</type>
                        </model>
                      </org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                    </list>
                  </entry>
                  <entry>
                    <string>extensions</string>
                    <list>
                      <org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                        <symbol>cleanBeforeCheckout</symbol>
                        <klass>CleanBeforeCheckout</klass>
                        <arguments class="tree-map">
                          <entry>
                            <string>deleteUntrackedNestedRepositories</string>
                            <boolean>true</boolean>
                          </entry>
                        </arguments>
                        <model resolves-to="org.jenkinsci.plugins.structs.describable.DescribableModel$SerializedForm">
                          <type>hudson.plugins.git.extensions.impl.CleanBeforeCheckout</type>
                        </model>
                      </org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                    </list>
                  </entry>
                  <entry>
                    <string>userRemoteConfigs</string>
                    <list>
                      <org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                        <arguments class="tree-map">
                          <entry>
                            <string>credentialsId</string>
                            <string>github-credentials</string>
                          </entry>
                          <entry>
                            <string>url</string>
                            <string>https://github.com/idubi/omc-assignment</string>
                          </entry>
                        </arguments>
                        <model resolves-to="org.jenkinsci.plugins.structs.describable.DescribableModel$SerializedForm">
                          <type>hudson.plugins.git.UserRemoteConfig</type>
                        </model>
                      </org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
                    </list>
                  </entry>
                </arguments>
                <model resolves-to="org.jenkinsci.plugins.structs.describable.DescribableModel$SerializedForm">
                  <type>hudson.plugins.git.GitSCM</type>
                </model>
              </org.jenkinsci.plugins.structs.describable.UninstantiatedDescribable>
            </entry>
          </arguments>
          <sensitiveVariables/>
          <isUnmodifiedBySanitization>true</isUnmodifiedBySanitization>
        </cps.a.ArgumentsActionImpl>
        <wf.a.TimingAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <startTime>1715512059235</startTime>
        </wf.a.TimingAction>
        <s.a.LogStorageAction/>
        <wf.a.ErrorAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <error class="org.jenkinsci.plugins.workflow.steps.FlowInterruptedException" plugin="workflow-step-api@657.v03b_e8115821b_">
            <stackTrace>
              <trace>org.jenkinsci.plugins.workflow.cps.CpsFlowExecution.interrupt(CpsFlowExecution.java:1215)</trace>
              <trace>org.jenkinsci.plugins.workflow.job.WorkflowRun$2.lambda$interrupt$0(WorkflowRun.java:397)</trace>
              <trace>jenkins.security.ImpersonatingScheduledExecutorService$1.run(ImpersonatingScheduledExecutorService.java:67)</trace>
              <trace>java.base/java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)</trace>
              <trace>java.base/java.util.concurrent.FutureTask.run(Unknown Source)</trace>
              <trace>java.base/java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(Unknown Source)</trace>
              <trace>java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)</trace>
              <trace>java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)</trace>
              <trace>java.base/java.lang.Thread.run(Unknown Source)</trace>
            </stackTrace>
            <suppressedExceptions>
              <java.lang.InterruptedException>
                <stackTrace>
                  <trace>java.base/java.lang.Object.wait(Native Method)</trace>
                  <trace>hudson.remoting.Request.call(Request.java:177)</trace>
                  <trace>hudson.remoting.Channel.call(Channel.java:1002)</trace>
                  <trace>org.jenkinsci.plugins.gitclient.RemoteGitImpl$CommandInvocationHandler.execute(RemoteGitImpl.java:153)</trace>
                  <trace>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)</trace>
                  <trace>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)</trace>
                  <trace>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)</trace>
                  <trace>java.base/java.lang.reflect.Method.invoke(Unknown Source)</trace>
                  <trace>org.jenkinsci.plugins.gitclient.RemoteGitImpl$CommandInvocationHandler.invoke(RemoteGitImpl.java:138)</trace>
                  <trace>jdk.proxy44/jdk.proxy44.$Proxy122.execute(Unknown Source)</trace>
                  <trace>hudson.plugins.git.GitSCM.retrieveChanges(GitSCM.java:1222)</trace>
                  <trace>hudson.plugins.git.GitSCM.checkout(GitSCM.java:1305)</trace>
                  <trace>org.jenkinsci.plugins.workflow.steps.scm.SCMStep.checkout(SCMStep.java:136)</trace>
                  <trace>org.jenkinsci.plugins.workflow.steps.scm.SCMStep$StepExecutionImpl.run(SCMStep.java:101)</trace>
                  <trace>org.jenkinsci.plugins.workflow.steps.scm.SCMStep$StepExecutionImpl.run(SCMStep.java:88)</trace>
                  <trace>org.jenkinsci.plugins.workflow.steps.SynchronousNonBlockingStepExecution.lambda$start$0(SynchronousNonBlockingStepExecution.java:47)</trace>
                  <trace>java.base/java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)</trace>
                  <trace>java.base/java.util.concurrent.FutureTask.run(Unknown Source)</trace>
                  <trace>java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)</trace>
                  <trace>java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)</trace>
                  <trace>java.base/java.lang.Thread.run(Unknown Source)</trace>
                </stackTrace>
                <suppressedExceptions class="empty-list"/>
              </java.lang.InterruptedException>
              <wf.a.ErrorAction_-ErrorId plugin="workflow-api@1291.v51fd2a_625da_7">
                <stackTrace/>
                <suppressedExceptions class="empty-list"/>
                <uuid>6a767e3f-2792-4513-9f55-600a15911dc1</uuid>
              </wf.a.ErrorAction_-ErrorId>
            </suppressedExceptions>
            <result>
              <name>ABORTED</name>
              <ordinal>4</ordinal>
              <color>ABORTED</color>
              <completeBuild>false</completeBuild>
            </result>
            <causes class="java.util.Arrays$ArrayList">
              <a class="jenkins.model.CauseOfInterruption-array">
                <jenkins.model.CauseOfInterruption_-UserInterruption>
                  <user>admin</user>
                </jenkins.model.CauseOfInterruption_-UserInterruption>
              </a>
            </causes>
            <actualInterruption>true</actualInterruption>
          </error>
        </wf.a.ErrorAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>8</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>7</string>
        </parentIds>
        <id>8</id>
        <startId>6</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1291.v51fd2a_625da_7"/>
        <wf.a.TimingAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <startTime>1715512088800</startTime>
        </wf.a.TimingAction>
        <wf.a.ErrorAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <error class="org.jenkinsci.plugins.workflow.steps.FlowInterruptedException" reference="../../../../../entry[6]/Tag/actions/wf.a.ErrorAction/error"/>
        </wf.a.ErrorAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>9</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>8</string>
        </parentIds>
        <id>9</id>
        <startId>5</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <startTime>1715512088831</startTime>
        </wf.a.TimingAction>
        <wf.a.ErrorAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <error class="org.jenkinsci.plugins.workflow.steps.FlowInterruptedException" reference="../../../../../entry[6]/Tag/actions/wf.a.ErrorAction/error"/>
        </wf.a.ErrorAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>10</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>9</string>
        </parentIds>
        <id>10</id>
        <startId>4</startId>
      </node>
      <actions>
        <wf.a.BodyInvocationAction plugin="workflow-api@1291.v51fd2a_625da_7"/>
        <wf.a.TimingAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <startTime>1715512088844</startTime>
        </wf.a.TimingAction>
        <wf.a.ErrorAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <error class="org.jenkinsci.plugins.workflow.steps.FlowInterruptedException" reference="../../../../../entry[6]/Tag/actions/wf.a.ErrorAction/error"/>
        </wf.a.ErrorAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>11</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="cps.n.StepEndNode" plugin="workflow-cps@3894.3896.vca_2c931e7935">
        <parentIds>
          <string>10</string>
        </parentIds>
        <id>11</id>
        <startId>3</startId>
      </node>
      <actions>
        <wf.a.TimingAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <startTime>1715512088868</startTime>
        </wf.a.TimingAction>
        <wf.a.ErrorAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <error class="org.jenkinsci.plugins.workflow.steps.FlowInterruptedException" reference="../../../../../entry[6]/Tag/actions/wf.a.ErrorAction/error"/>
        </wf.a.ErrorAction>
        <wf.a.ErrorAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <error class="org.jenkinsci.plugins.workflow.steps.FlowInterruptedException" reference="../../../../../entry[6]/Tag/actions/wf.a.ErrorAction/error"/>
        </wf.a.ErrorAction>
      </actions>
    </Tag>
  </entry>
  <entry>
    <string>12</string>
    <Tag plugin="workflow-support@907.v6713a_ed8a_573">
      <node class="org.jenkinsci.plugins.workflow.graph.FlowEndNode" plugin="workflow-api@1291.v51fd2a_625da_7">
        <parentIds>
          <string>11</string>
        </parentIds>
        <id>12</id>
        <startId>2</startId>
        <result>
          <name>ABORTED</name>
          <ordinal>4</ordinal>
          <color>ABORTED</color>
          <completeBuild>false</completeBuild>
        </result>
      </node>
      <actions>
        <wf.a.ErrorAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <error class="org.jenkinsci.plugins.workflow.steps.FlowInterruptedException" reference="../../../../../entry[6]/Tag/actions/wf.a.ErrorAction/error"/>
        </wf.a.ErrorAction>
        <wf.a.TimingAction plugin="workflow-api@1291.v51fd2a_625da_7">
          <startTime>1715512088886</startTime>
        </wf.a.TimingAction>
      </actions>
    </Tag>
  </entry>
</linked-hash-map>